Skip to main content
PATCH
Update contact

Authorizations

Authorization
string
header
required

Supabase JWT token from Authorization header

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
email
string<email>
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
first_name
string
Required string length: 1 - 100
last_name
string | null
Maximum string length: 100
phone
string | null
Maximum string length: 50
company
string | null
Maximum string length: 200
notes
string | null

Response

Contact updated

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
workspace_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
email
string
required
first_name
string
required
last_name
string | null
required
phone
string | null
required
company
string | null
required
notes
string | null
required
avatar_url
string | null
required
is_unsubscribed
boolean
required
custom_fields
object | null
required
created_at
string
required
updated_at
string
required
tags
object[]